startDynamicHelp {tools} | R Documentation

## Start the Dynamic HTML Help System

### Description

This function starts the internal help server, so that HTML help pages are rendered when requested.

### Usage

    startDynamicHelp(start=TRUE)

### Arguments

`start` | logical: whether to start or shut down the dynamic help system.

### Details

This function starts the internal HTTP server, which runs on the loopback interface (`127.0.0.1`). If `options("help.ports")` is set to a vector of integer values, `startDynamicHelp` will try those ports in order; otherwise, it tries up to 10 random ports to find one not in use. It can be disabled by setting the environment variable R_DISABLE_HTTPD to a non-empty value.

`startDynamicHelp` is called by functions that need to use the server, so would rarely be called directly by a user.

Note that `options(help_type="html")` must be set to actually make use of HTML help, although it might be the default for an R installation.

If the server cannot be started or is disabled, `help.start` will be unavailable and requests for HTML help will give text help (with a warning).

The browser in use does need to be able to connect to the loopback interface: occasionally it is set to use a proxy for HTTP on all interfaces, which will not work – the solution is to add an exception for `127.0.0.1`.

### Value

The chosen port number is returned invisibly (which will be `0` if the server has been stopped).

### See Also

`help.start` and `help(help_type = "html")` will attempt to start the HTTP server if required

`Rd2HTML` is used to render the package help pages.

[Package tools version 2.15.1 Index]